
export default {
  inserted: function (el, binding, vnode) {
    const menuDom = document.querySelector(binding.value)
    el.addEventListener('contextmenu', function(e) {
      // 阻止默认的右键菜单
      e.preventDefault();
      // 获取鼠标位置
      var x = e.clientX;
      var y = e.clientY;
      console.log(menuDom);
      // 显示自定义菜单
      menuDom.style.display = 'block';
      menuDom.style.left = x + 'px';
      menuDom.style.top = y + 'px';
    });
  }

}
